<?xml version="1.0" encoding="UTF-8"?>
<xs:schema 
xmlns:xs="http://www.w3.org/2001/XMLSchema" 
targetNamespace="http://www.w3.org/2000/09/xmldsig#" 
version="1.0" 
xmlns="http://schemas.xmlsoap.org/wsdl/" 
xmlns:ibmSchExtn="http://www.ibm.com/schema/extensions" 
xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" 
xmlns:tns="http://www.w3.org/2000/09/xmldsig#" 
xmlns:xsd="http://www.w3.org/2001/XMLSchema">	
    
    <xs:element name="Transform">
    <xs:complexType>
      <xs:simpleContent>
        <xs:extension base="xs:string">
          <xs:attribute type="xs:anyURI" name="Algorithm"/>
        </xs:extension>
      </xs:simpleContent>
    </xs:complexType>
  </xs:element>
  <xs:element name="Transforms">
    <xs:complexType>
      <xs:sequence>
        <xs:element ref="xd:Transform" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="DigestMethod">
    <xs:complexType>
      <xs:simpleContent>
        <xs:extension base="xs:string">
          <xs:attribute type="xs:anyURI" name="Algorithm"/>
        </xs:extension>
      </xs:simpleContent>
    </xs:complexType>
  </xs:element>
  <xs:element name="DigestValue" type="xs:string"/>
  <xs:element name="CanonicalizationMethod">
    <xs:complexType>
      <xs:simpleContent>
        <xs:extension base="xs:string">
          <xs:attribute type="xs:anyURI" name="Algorithm"/>
        </xs:extension>
      </xs:simpleContent>
    </xs:complexType>
  </xs:element>
  <xs:element name="SignatureMethod">
    <xs:complexType>
      <xs:simpleContent>
        <xs:extension base="xs:string">
          <xs:attribute type="xs:anyURI" name="Algorithm"/>
        </xs:extension>
      </xs:simpleContent>
    </xs:complexType>
  </xs:element>
  <xs:element name="Reference">
    <xs:complexType>
      <xs:sequence>
        <xs:element ref="xd:Transforms" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/>
        <xs:element ref="xd:DigestMethod" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/>
        <xs:element ref="xd:DigestValue" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/>
      </xs:sequence>
      <xs:attribute type="xs:string" name="URI"/>
    </xs:complexType>
  </xs:element>
  <xs:element name="Modulus" type="xs:string"/>
  <xs:element name="Exponent" type="xs:string"/>
  <xs:element name="G" type="xs:string"/>
  <xs:element name="Y" type="xs:string"/>
  <xs:element name="RSAKeyValue">
    <xs:complexType>
      <xs:sequence>
        <xs:element ref="xd:Modulus" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/>
        <xs:element ref="xd:Exponent" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="KeyValue">
    <xs:complexType>
      <xs:sequence>
        <xs:element ref="xd:RSAKeyValue" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="SignedInfo">
    <xs:complexType>
      <xs:sequence>
        <xs:element ref="xd:CanonicalizationMethod" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/>
        <xs:element ref="xd:SignatureMethod" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/>
        <xs:element ref="xd:Reference" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name="SignatureValue" type="xs:string"/>
  <xs:element name="KeyInfo">
    <xs:complexType>
      <xs:sequence>
        <xs:element ref="xd:KeyValue" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  
  
    <xs:complexType name="Signature">
      <xs:sequence>
        <xs:element ref="xd:SignedInfo" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/>
        <xs:element ref="xd:SignatureValue" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/>
        <xs:element ref="xd:KeyInfo" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/>
      </xs:sequence>
    </xs:complexType>
  
  
  <xs:element name="Signature">
    <xs:complexType>
      <xs:sequence>
        <!--xs:element ref="xd:SignedInfo" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/-->
        <xs:element ref="xd:SignatureValue" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/>
        <!--xs:element ref="xd:KeyInfo" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"/-->
      </xs:sequence>
    </xs:complexType>
  </xs:element>
</xs:schema>